<?php

use App\Http\Controllers\Milestones\CreateMilestoneController;
use App\Http\Controllers\Milestones\DeleteMilestoneController;
use App\Http\Controllers\Milestones\ListMilestoneProgressController;
use App\Http\Controllers\Milestones\ListMilestonesController;
use App\Http\Controllers\Milestones\UpdateMilestoneController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'milestone', 'as' => 'milestone.'], function () {
    Route::post('/create', [CreateMilestoneController::class, 'create'])->name('create');
    Route::put('/update/{id}', [UpdateMilestoneController::class, 'update'])->name('update');
    Route::get('/list', [ListMilestonesController::class, 'list'])->name('list');
    Route::get('/user/{id}/progress/list', [ListMilestoneProgressController::class, 'list'])->name('progress.list');
    Route::delete('/delete/{id}', [DeleteMilestoneController::class, 'delete'])->name('delete');
});
